StartupEvents.registry('block', event => {
	
	event.create('holystone_silver_ore')
	.resistance(3.0)
	.hardness(3.0)
	.requiresTool(true)
	.tagBlock('minecraft:mineable/pickaxe')
	.mapColor('wool')
	.stoneSoundType()
	
	event.create('blueberry_pie', 'farmersdelight:pie')
	.sliceItem('kubejs:blueberry_pie_slice')
	.displayName('Blueberry Pie')
	
	// VARIANTS
	
	// STONE
	event.create('polished_stone')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	.tagBlock('minecraft:mineable/pickaxe')
	.mapColor('stone')
	.stoneSoundType()
	
	event.create('stone_pillar')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	
	.stoneSoundType()
	
	.tagBlock('minecraft:mineable/pickaxe')
	
	.property(BlockProperties.AXIS)
	.placementState(event => event.set(BlockProperties.AXIS, event.clickedFace.axis))
	.model('kubejs:block/stone_pillar')
	.blockstateJson = {
		"variants": {
			"axis=x": {"model": "kubejs:block/stone_pillar", "x": 90, "y": 90},
			"axis=y": {"model": "kubejs:block/stone_pillar"},
			"axis=z": {"model": "kubejs:block/stone_pillar", "x": 90}
		}
	}
	
	// GRANITE
	event.create('mossy_granite_bricks')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	.tagBlock('minecraft:mineable/pickaxe')
	.mapColor('dirt')
	.stoneSoundType()
	
	// Diorite
	event.create('mossy_diorite_bricks')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	.tagBlock('minecraft:mineable/pickaxe')
	.mapColor('quartz')
	.stoneSoundType()
	
	// Andesite
	event.create('mossy_andesite_bricks')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	.tagBlock('minecraft:mineable/pickaxe')
	.mapColor('stone')
	.stoneSoundType()
	
	// GLANCE
	event.create('glance_pillar')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	
	.stoneSoundType()
	
	.tagBlock('minecraft:mineable/pickaxe')
	.tagBoth('oreganized:stone_types/glance')
	
	.property(BlockProperties.AXIS)
	.placementState(event => event.set(BlockProperties.AXIS, event.clickedFace.axis))
	.model('kubejs:block/glance_pillar')
	.blockstateJson = {
		"variants": {
			"axis=x": {"model": "kubejs:block/glance_pillar", "x": 90, "y": 90},
			"axis=y": {"model": "kubejs:block/glance_pillar"},
			"axis=z": {"model": "kubejs:block/glance_pillar", "x": 90}
		}
	}
	
	
})
